Categories:
  - Time
  - Sports & Health
License: GPL-3.0-only
AuthorName: Trevor Slocum
AuthorEmail: trevor@rocketnine.space
WebSite: https://rocketnine.space/
SourceCode: https://code.rocketnine.space/tslocum/meditationassistant
IssueTracker: https://code.rocketnine.space/tslocum/meditationassistant/issues
Translation: https://medinet.rocketnine.space/translate/
Changelog: https://code.rocketnine.space/tslocum/meditationassistant/src/branch/master/CHANGELOG
Donate: https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=TEP9HT98XK7QA
Liberapay: rocketnine.space
Bitcoin: 3Aq6xnpdxSByUtKGrJNdte1sMzj3mADWaz

AutoName: Meditation Assistant
Description: |-
    This application assists with both timed (via duration or ending at a specific
    time) and untimed sessions, with numerous customizations, including
    start/interval/end sounds and device behavior. It also provides a monthly
    overview of your progress.

    A major feature in this application is the ability to share your sessions
    online. Though entirely optional, sharing your progress online adds another
    dimension to your accountability. Now that you've gone public, as your
    meditation streak increases more users will see it as a goal of their own. One
    user has posted over 500 days of consecutive days of meditation.

    Your meditation streak is the number of consecutive days you have recorded at
    least one session. As your streak grows, "not breaking the chain" becomes quite
    important. Soon you will be meditating once a day, even if it's five or ten
    minutes out of your schedule.

RepoType: git
Repo: https://code.rocketnine.space/tslocum/meditationassistant.git

Builds:
  - versionName: 1.2.7
    versionCode: 127
    disable: aidl missing
    commit: 1.2.7
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties

  - versionName: 1.2.8
    versionCode: 128
    commit: 1.2.8
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.2.9
    versionCode: 129
    commit: 1.2.9
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.3.0
    versionCode: 130
    commit: 1.3.0
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.3.1
    versionCode: 131
    commit: 1.3.1
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.3.2
    versionCode: 132
    commit: 1.3.2
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.3.3
    versionCode: 133
    commit: 1.3.3
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.3.4
    versionCode: 134
    commit: 1.3.4
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.3.5
    versionCode: 135
    commit: 1.3.5
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.3.6
    versionCode: 136
    commit: 1.3.6
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.3.7
    versionCode: 137
    commit: 1.3.7
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.3.8
    versionCode: 138
    commit: 1.3.8
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.3.9
    versionCode: 139
    commit: 1.3.9
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.4.0
    versionCode: 140
    commit: 1.4.0
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.4.1
    versionCode: 141
    disable: Cannot resolve external dependency com.android.tools.build:gradle:2.3.3
        because no repositories are defined
    commit: 1.4.1
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' -e '/applicationVariants.all/i/*' -e '/sourceSets/i*/'
        build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties

  - versionName: 1.4.2
    versionCode: 142
    commit: 1.4.2
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.4.3
    versionCode: 143
    commit: 1.4.3
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.4.5
    versionCode: 145
    commit: 1.4.5
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.4.7
    versionCode: 147
    commit: 1.4.7
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.4.9
    versionCode: 149
    commit: 1.4.9
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.5.0
    versionCode: 150
    commit: 1.5.0
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.5.1
    versionCode: 151
    commit: 1.5.1
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.5.2
    versionCode: 152
    commit: 1.5.2
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.5.3
    versionCode: 153
    commit: 1.5.3
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.5.4
    versionCode: 154
    commit: 1.5.4
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.5.5
    versionCode: 155
    commit: 1.5.5
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.5.6
    versionCode: 156
    commit: 1.5.6
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.5.7
    versionCode: 157
    commit: 1.5.7
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.5.8
    versionCode: 158
    commit: 1.5.8
    subdir: MeditationAssistant
    gradle:
      - opensource
    rm:
      - MeditationAssistantWear
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.5.9
    versionCode: 159
    commit: 1.5.9
    subdir: MeditationAssistant
    gradle:
      - opensource
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.6.0
    versionCode: 160
    commit: 1.6.0
    subdir: MeditationAssistant
    gradle:
      - opensource
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.6.1
    versionCode: 161
    commit: 1.6.1
    subdir: MeditationAssistant
    gradle:
      - opensource
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties

  - versionName: 1.6.2
    versionCode: 162
    commit: 1.6.2
    subdir: MeditationAssistant
    gradle:
      - opensource
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties
    antifeatures:
      - Tracking

  - versionName: 1.6.3
    versionCode: 163
    commit: 1.6.3
    subdir: MeditationAssistant
    gradle:
      - opensource
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties

  - versionName: 1.6.4
    versionCode: 164
    commit: 1.6.4
    subdir: MeditationAssistant
    gradle:
      - opensource
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties

  - versionName: 1.6.5
    versionCode: 165
    commit: 631d6bbfbbef9998bfd9c6d32c2583ba4a5c7034
    subdir: MeditationAssistant
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - opensource
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties

  - versionName: 1.6.6
    versionCode: 166
    commit: ed5afd4b832d30d81ada31257a225dbb63b14134
    subdir: MeditationAssistant
    gradle:
      - opensource
    prebuild:
      - sed -i -e '/play-services/d' build.gradle
      - sed -i 's/4096m/1024m/' ../gradle.properties

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckName: sh.ftp.rocketninelabs.meditationassistant
CurrentVersion: 1.6.6
CurrentVersionCode: 166
